# Interface methods for submodule: ImageSeriesWriter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: ImageSeriesWriter
class ImageSeriesWriterProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	def SetImageIO(self, _arg) -> None:
		""""""
		...

	def GetModifiableImageIO(self):
		""""""
		...

	def GetImageIO(self):
		""""""
		...

	def Write(self) -> None:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def SetStartIndex(self, _arg: int) -> None:
		""""""
		...

	def GetStartIndex(self) -> int:
		""""""
		...

	def SetIncrementIndex(self, _arg: int) -> None:
		""""""
		...

	def GetIncrementIndex(self) -> int:
		""""""
		...

	@overload
	def SetSeriesFormat(self, _arg) -> None:
		""""""
		...

	@overload
	def SetSeriesFormat(self, _arg: str) -> None:
		""""""
		...

	def GetSeriesFormat(self):
		""""""
		...

	def SetFileNames(self, name) -> None:
		""""""
		...

	def GetFileNames(self):
		""""""
		...

	def SetFileName(self, name: str) -> None:
		""""""
		...

	def AddFileName(self, name: str) -> None:
		""""""
		...

	def SetMetaDataDictionaryArray(self, _arg) -> None:
		""""""
		...

	def SetUseCompression(self, _arg: bool) -> None:
		""""""
		...

	def GetUseCompression(self) -> bool:
		""""""
		...

	def UseCompressionOn(self) -> None:
		""""""
		...

	def UseCompressionOff(self) -> None:
		""""""
		...

